/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 * 
 * $Id$
 */

package com.sun.ts.tests.websocket.ee.javax.websocket.remoteendpoint.usercoder;

import javax.websocket.Decoder;
import javax.websocket.EncodeException;
import javax.websocket.Encoder;

public abstract class CoderSuperClassText<T> extends CoderSuperClass implements
		Encoder.Text<T>, Decoder.Text<T> {

	@Override
	public boolean willDecode(String bytes) {
		return true;
	}

	@Override
	public String encode(T object) throws EncodeException {
		return COMMON_CODED_STRING;
	}

}
